Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.primitive.sw
Class Sw_SNLVersion

    java.lang.Object
      com.stc.connector.sagadapter.primitive.sw.Sw_SNLVersion

All Implemented Interfaces:
  com.stc.otd.runtime.OtdAsWSDLDocument, com.stc.otd.runtime.OtdNode, com.stc.otd.runtime.OtdRoot, com.stc.otd.runtime.OtdRoot2

    public class Sw_SNLVersion

extends java.lang.Object
implements com.stc.otd.runtime.OtdRoot2, com.stc.otd.runtime.OtdAsWSDLDocument

Constructor Summary
`Sw_SNLVersion()`
`Sw_SNLVersion(com.stc.otd.runtime.OtdMeta mObj)`

Method Summary
`java.lang.String[]` | `check()` DOCUMENT ME!
`int` | `choice()` For a choice node, returns the index of the valid child.
`int` | `count(int child)` Returns the number of repetition instances of the given child.
`java.lang.Object` | `get(int child)`
`java.lang.Object` | `get(int child, int index)`
`java.lang.String` | `getSw_OSRelease()`
`java.lang.String` | `getSw_SNLRelease()`
`boolean` | `has(int child)` Tests whether given child is present.
`boolean` | `has(int child, int index)` Tests whether given instance of a repeated child is present.
`void` | `includeXmlDeclaration(boolean val)` Set includeXmlDecl flag.
`void` | `init0()`
`static void` | `main(java.lang.String[] args)`
`void` | `marshal(org.xml.sax.ContentHandler handler, org.xml.sax.ErrorHandler errorHandler, boolean rtMarshal)`
`void` | `marshal(com.stc.otd.runtime.OtdOutputStream out)` Marshals the data content of an OTD into a BLOB.
`void` | `marshalDoctype(java.lang.String decl)` Adds a DOCTYPE declaration to the marshalled document.
`void` | `marshalProlog(java.lang.String target, java.lang.String data)` Adds a prolog processing instruction to the marshalled document.
`byte[]` | `marshalToBytes()` Marshals the data content of an OTD into a byte array.
`java.lang.String` | `marshalToString()` Marshals the data content of an OTD into a string.
`com.stc.otd.runtime.OtdMeta` | `meta()`
`void` | `remove(int child)` Removes the given child instance.
`void` | `remove(int child, int index)` Removes the given occurrence of a child instance.
`void` | `reset()` Clear cached data.
`void` | `set(int child, int index, java.lang.Object value)` Stores the given child instance.
`void` | `set(int child, java.lang.Object value)`
`void` | `setSw_OSRelease(java.lang.String value)`
`void` | `setSw_SNLRelease(java.lang.String value)`
`int` | `size(int child)` Returns one past the last valid index for a repeating child.
`java.lang.String` | `toString()`
`void` | `unmarshal(org.xml.sax.InputSource inputSource, com.stc.otd.tools.xml.SAXLexer lexer)`
`void` | `unmarshal(com.stc.otd.runtime.OtdInputStream in)` Unmarshals a BLOB into the data content of an OTD.
`void` | `unmarshalFromBytes(byte[] in)` Unmarshals a byte array into the data content of an OTD.
`void` | `unmarshalFromString(java.lang.String in)` Unmarshals a string into the data content of an OTD.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sw_SNLVersion

    public Sw_SNLVersion(com.stc.otd.runtime.OtdMeta mObj)

### Sw_SNLVersion

    public Sw_SNLVersion()

Method Detail

### init0

    public void init0()

### meta

    public com.stc.otd.runtime.OtdMeta meta()

  Specified by:
    `meta` in interface `com.stc.otd.runtime.OtdNode`

### getSw_SNLRelease

    public java.lang.String getSw_SNLRelease()

### setSw_SNLRelease

    public void setSw_SNLRelease(java.lang.String value)

### getSw_OSRelease

    public java.lang.String getSw_OSRelease()

### setSw_OSRelease

    public void setSw_OSRelease(java.lang.String value)

### get

    public java.lang.Object get(int child)
                         throws java.lang.IndexOutOfBoundsException

  Specified by:
    `get` in interface `com.stc.otd.runtime.OtdNode`
  Throws:
    `java.lang.IndexOutOfBoundsException`

### get

    public java.lang.Object get(int child,
                                int index)
                         throws java.lang.IndexOutOfBoundsException

  Specified by:
    `get` in interface `com.stc.otd.runtime.OtdNode`
  Throws:
    `java.lang.IndexOutOfBoundsException`

### set

    public void set(int child,
                    java.lang.Object value)
             throws java.lang.IndexOutOfBoundsException,
                    java.lang.IllegalArgumentException

  Specified by:
    `set` in interface `com.stc.otd.runtime.OtdNode`
  Throws:
    `java.lang.IndexOutOfBoundsException`
    `java.lang.IllegalArgumentException`

### set

    public void set(int child,
                    int index,
                    java.lang.Object value)
             throws java.lang.IndexOutOfBoundsException,
                    java.lang.IllegalArgumentException

  Stores the given child instance.

  Specified by:
    `set` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
    `index` - index of child instance in repetition
    `value` - the new child value
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid index or child
    `java.lang.IllegalArgumentException` - for a type or value error

### has

    public boolean has(int child)
                throws java.lang.IndexOutOfBoundsException

  Tests whether given child is present. For repeated children, tests against collection as a whole.

  Specified by:
    `has` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid child

### has

    public boolean has(int child,
                       int index)
                throws java.lang.IndexOutOfBoundsException

  Tests whether given instance of a repeated child is present.

  Specified by:
    `has` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
    `index` - index of child instance in repetition, from 0
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid index or child

### count

    public int count(int child)

  Returns the number of repetition instances of the given child. For a non-repeating node, this should return 1.

  Specified by:
    `count` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
  Returns:
    the repetition index
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid child

### size

    public int size(int child)

  Returns one past the last valid index for a repeating child. For a non-repeating node, this should return 1.

  Specified by:
    `size` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent
  Returns:
    the repetition index
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid child

### choice

    public int choice()

  For a choice node, returns the index of the valid child.

  Specified by:
    `choice` in interface `com.stc.otd.runtime.OtdNode`
  Returns:
    -1

### remove

    public void remove(int child)

  Removes the given child instance. The child must be optional.

  Specified by:
    `remove` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent, from 0
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid or mandatory child

### remove

    public void remove(int child,
                       int index)

  Removes the given occurrence of a child instance. The child must be repeated. The implementation is allowed (but not required) to throw an exception if the child is absent. A subsequent has(child, index) call with the same arguments should return false.

  Specified by:
    `remove` in interface `com.stc.otd.runtime.OtdNode`
  Parameters:
    `child` - index of child below this parent, from 0
    `index` - index of child instance in repetition, from 0
  Throws:
    `java.lang.IndexOutOfBoundsException` - for invalid or non-repeating child

### unmarshal

    public void unmarshal(org.xml.sax.InputSource inputSource,
                          com.stc.otd.tools.xml.SAXLexer lexer)
                   throws org.xml.sax.SAXException,
                          com.stc.otd.runtime.UnmarshalException

  Throws:
    `org.xml.sax.SAXException`
    `com.stc.otd.runtime.UnmarshalException`

### marshal

    public void marshal(org.xml.sax.ContentHandler handler,
                        org.xml.sax.ErrorHandler errorHandler,
                        boolean rtMarshal)
                 throws com.stc.otd.runtime.MarshalException,
                        org.xml.sax.SAXException

  Throws:
    `com.stc.otd.runtime.MarshalException`
    `org.xml.sax.SAXException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### reset

    public void reset()

  Clear cached data.

  Specified by:
    `reset` in interface `com.stc.otd.runtime.OtdRoot`

### check

    public java.lang.String[] check()

  DOCUMENT ME!

  Specified by:
    `check` in interface `com.stc.otd.runtime.OtdRoot`
  Returns:
    DOCUMENT ME!

### includeXmlDeclaration

    public void includeXmlDeclaration(boolean val)

  Set includeXmlDecl flag.

  Parameters:
    `val` - DOCUMENT ME!

### marshalToString

    public java.lang.String marshalToString()
                                     throws com.stc.otd.runtime.MarshalException,
                                            java.io.IOException

  Marshals the data content of an OTD into a string.

  Specified by:
    `marshalToString` in interface `com.stc.otd.runtime.OtdRoot2`
  Parameters:
    `out` - the string
  Throws:
    `com.stc.otd.runtime.MarshalException` - if the output cannot be produced
    `java.io.IOException`

### marshalToBytes

    public byte[] marshalToBytes()
                          throws com.stc.otd.runtime.MarshalException,
                                 java.io.IOException

  Marshals the data content of an OTD into a byte array.

  Specified by:
    `marshalToBytes` in interface `com.stc.otd.runtime.OtdRoot2`
  Parameters:
    `out` - the byte array
  Throws:
    `com.stc.otd.runtime.MarshalException` - if the output cannot be produced
    `java.io.IOException`

### marshal

    public void marshal(com.stc.otd.runtime.OtdOutputStream out)
                 throws com.stc.otd.runtime.MarshalException

  Marshals the data content of an OTD into a BLOB.

  Specified by:
    `marshal` in interface `com.stc.otd.runtime.OtdRoot`
  Parameters:
    `out` - DOCUMENT ME!
  Throws:
    `com.stc.otd.runtime.MarshalException` - Thrown when unable to marshal OTD.

### marshalDoctype

    public void marshalDoctype(java.lang.String decl)

  Adds a DOCTYPE declaration to the marshalled document.

  Parameters:
    `decl` - DOCUMENT ME!

### marshalProlog

    public void marshalProlog(java.lang.String target,
                              java.lang.String data)

  Adds a prolog processing instruction to the marshalled document.

  Parameters:
    `target` - DOCUMENT ME!
    `data` - DOCUMENT ME!

### unmarshalFromString

    public void unmarshalFromString(java.lang.String in)
                             throws com.stc.otd.runtime.UnmarshalException

  Unmarshals a string into the data content of an OTD.

  Specified by:
    `unmarshalFromString` in interface `com.stc.otd.runtime.OtdRoot2`
  Parameters:
    `in` - string be unmarshalled
  Throws:
    `com.stc.otd.runtime.UnmarshalException` - if input data cannot be parsed

### unmarshalFromBytes

    public void unmarshalFromBytes(byte[] in)
                            throws com.stc.otd.runtime.UnmarshalException,
                                   java.io.IOException

  Unmarshals a byte array into the data content of an OTD.

  Specified by:
    `unmarshalFromBytes` in interface `com.stc.otd.runtime.OtdRoot2`
  Parameters:
    `in` - byte array of the BLOB to be unmarshalled
  Throws:
    `com.stc.otd.runtime.UnmarshalException` - on input error
    `java.io.IOException`

### unmarshal

    public void unmarshal(com.stc.otd.runtime.OtdInputStream in)
                   throws com.stc.otd.runtime.UnmarshalException

  Unmarshals a BLOB into the data content of an OTD.

  Specified by:
    `unmarshal` in interface `com.stc.otd.runtime.OtdRoot`
  Parameters:
    `in` - byte stream of the BLOB to be unmarshalled.
  Throws:
    `com.stc.otd.runtime.UnmarshalException` - when unable to unmarshal BLOB into OTD

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.